This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | Client
Name | ### write()
Examples |
    // Example by Tom Igoe
    // Creates a client that sends input to a server

    import processing.net.*;
    Client myClient;
    int clicks;

    void setup() {
      // Connect to the local machine at port 10002.
      // This example will not run if you haven't
      // previously started a server on this port.
      myClient = new Client(this, "127.0.0.1", 10002);
      // Say hello
      myClient.write("Hi there");
    }

    void mouseReleased() {
      // Count the number of mouse clicks:
      clicks++;
      // Tell the server:
      myClient.write("Mouse pressed " + clicks + " times.\n");
    }

    void draw() {
      // Change the background if the mouse is pressed
      if (mousePressed) {
        background(255);
      } else {
        background(0);
      }
    }
Description | Writes data to a server specified when constructing the client.
Syntax |
    client.write(data)
Parameters |
client | Client: any variable of type Client
data | String, byte[], or int: data to write
Returns | void

Updated on October 26, 2013 08:58:28pm PDT